import request from '@/utils/request'

// 资产项目报告信息表新增
export function createAssetsReport(params) {
    return request.post('/assetsReport/save', params)
}

// 根据项目id获取未完成报告的进度信息
export function getUnFinishedReportProgress(params) {
    return request.get(`/assetsReport/getUnFinishedReportProgress/${params}`)
}

// 更新报告基础信息
export function updateReportBaseInfo(params) {
    return request.put('/assetsReport/updateReportBaseInfo', params)
}

// 根据报告id获取报告基础信息
export function getReportBaseInfo(params) {
    return request.get(`/assetsReport/getReportBaseInfo/${params}`)
}